From d24cea5021fab8a11b1492a031319939d133d221 Mon Sep 17 00:00:00 2001
From: Tomas Chvatal <scarabeus@gentoo.org>
Date: Mon, 1 Nov 2010 16:46:36 +0100
Subject: [PATCH] Gentoo customizations.


Signed-off-by: Tomas Chvatal <scarabeus@gentoo.org>
---
 xinitrc.cpp |   26 ++++++++++++++++++--------
 1 files changed, 18 insertions(+), 8 deletions(-)

diff --git a/xinitrc.cpp b/xinitrc.cpp
index 049a8e4..80c3ad9 100644
--- a/xinitrc.cpp
+++ b/xinitrc.cpp
@@ -2,8 +2,8 @@ XCOMM!SHELL_CMD
 
 userresources=$HOME/.Xresources
 usermodmap=$HOME/.Xmodmap
-sysresources=XINITDIR/.Xresources
-sysmodmap=XINITDIR/.Xmodmap
+sysresources=XINITDIR/Xresources
+sysmodmap=XINITDIR/Xmodmap
 
 XCOMM merge in defaults and keymaps
 
@@ -84,15 +84,25 @@ fi
 XCOMM This is the fallback case if nothing else is executed above
 #endif /* !defined(__SCO__)  && !defined(__UNIXWARE__) */
 
+if [ -n "`/etc/X11/chooser.sh`" ]; then
+	command="`/etc/X11/chooser.sh`"
+else
+	failsafe="yes"
+fi
+
 if [ -d XINITDIR/xinitrc.d ] ; then
-	for f in XINITDIR/xinitrc.d/?*.sh ; do
+	for f in XINITDIR/xinitrc.d/?* ; do
 		[ -x "$f" ] && . "$f"
 	done
 	unset f
 fi
 
-TWM &
-XCLOCK -geometry 50x50-1+1 &
-XTERM -geometry 80x50+494+51 &
-XTERM -geometry 80x20+494-0 &
-exec XTERM -geometry 80x66+0+0 -name login
+if [ -n "$failsafe" ]; then
+	TWM &
+	XCLOCK -geometry 50x50-1+1 &
+	XTERM -geometry 80x50+494+51 &
+	XTERM -geometry 80x20+494-0 &
+	exec XTERM -geometry 80x66+0+0 -name login
+else
+	exec $command
+fi
-- 
1.7.3.1

